import { config } from '../../config.ts';

/**
 * 添加统计脚本
 * @param html
 * @returns
 */
export const addStat = (html: string, addStat = true) => {
  if (!addStat) {
    return html;
  }
  const { websiteId } = config.stat || {};
  if (!websiteId) {
    return html;
  }
  return html.replace('</head>', `<script defer src="https://umami.xiongxiao.me/script.js" data-website-id="${websiteId}"></script></head>`);
};
