import net from 'net';

const main = () => {
  const options = {
    port: 3003,
    hostname: '192.168.31.220',
    path: '/api/v1',
  };
  const proxySocket = net.connect(options.port, options.hostname, () => {
    proxySocket.write(`GET ${options.path} HTTP/1.1\r\n` + `Host: ${options.hostname}\r\n` + `Connection: Upgrade\r\n` + `Upgrade: websocket\r\n` + `\r\n`);
  });

  proxySocket.on('data', (data) => {
    console.log('data', data.toString());
  });
};

main();
