import { IncomingMessage, ServerResponse } from 'http';
export const getUserFromRequest = (req: IncomingMessage) => {
  const url = new URL(req.url, `http://${req.headers.host}`);
  const pathname = url.pathname;
  const keys = pathname.split('/');
  const [_, user, app] = keys;
  return {
    user,
    app,
  };
};
